Name:           python-biobb-analysis
Version:        5.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Biobb_analysis is the Biobb module collection to perform analysis of molecular dynamics simulations.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://biobb-analysis.readthedocs.io/en/latest/
Source:         %{pypi_source biobb_analysis}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'biobb-analysis' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-biobb-analysis
Summary:        %{summary}

%description -n python3-biobb-analysis %_description


%prep
%autosetup -p1 -n biobb_analysis-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-biobb-analysis -f %{pyproject_files}


%changelog
%autochangelog